cudnn_frontend::ExecutionPlanBuilder_v8
cudnn_frontend_ExecutionPlan.h
ExecutionPlan_v8 ExecutionPlan_v8 cudnn_frontend::ExecutionPlanBuilder_v8::m_execution_plan m_execution_plan
auto auto cudnn_frontend::ExecutionPlanBuilder_v8::setHandle (cudnnHandle_t handle_) -> ExecutionPlanBuilder_v8 & setHandle cudnnHandle_t handle_

Set engine for the ExecutionPlan_v8.

auto auto cudnn_frontend::ExecutionPlanBuilder_v8::setEngineConfig (EngineConfig_v8 const &engine_config_) -> ExecutionPlanBuilder_v8 & setEngineConfig EngineConfig_v8 const & engine_config_

Set engine Config for the Plan.

auto auto cudnn_frontend::ExecutionPlanBuilder_v8::setEngineConfig (ManagedOpaqueDescriptor &desc, std::string const &opGraphTag_="") -> ExecutionPlanBuilder_v8 & setEngineConfig ManagedOpaqueDescriptor & desc std::string const & opGraphTag_ ""

Set engine Config for the Plan.

ExecutionPlan_v8 && ExecutionPlan_v8&& cudnn_frontend::ExecutionPlanBuilder_v8::build () build

constructs the Engine Config by calling the cudnn API Throws the appropriate error message

cudnn_frontend::ExecutionPlan_v8::ExecutionPlanBuilder_v8
cudnn_frontend::getLogger
cudnn_frontend::make_shared_backend_pointer
cudnn_frontend::ExecutionPlan_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8
()=default
ExecutionPlanBuilder_v8
cudnn_frontend::ExecutionPlanBuilder_v8::~ExecutionPlanBuilder_v8
()=default
~ExecutionPlanBuilder_v8
cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8
(ExecutionPlanBuilder_v8 &&)=delete
ExecutionPlanBuilder_v8
ExecutionPlanBuilder_v8 &&
cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8
(ExecutionPlanBuilder_v8 const &)=delete
ExecutionPlanBuilder_v8
ExecutionPlanBuilder_v8 const &
ExecutionPlanBuilder_v8 & ExecutionPlanBuilder_v8& cudnn_frontend::ExecutionPlanBuilder_v8::operator= (ExecutionPlanBuilder_v8 const &)=delete operator= ExecutionPlanBuilder_v8 const &

ExecutionPlanBuilder_v8 Class Helper class used to build ExecutionPlan_v8 class

shared_ptr< OpaqueBackendPointer >
T
cudnnHandle_t
std::array< T >
+elements
float
cudnnBackendNumericalNote_t
cudnnStatus_t
std::basic_string< char >
cudnn_frontend::ExecutionPlanBuilder_v8
-m_execution_plan
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT >
+elements
< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT >
cudnn_frontend::ExecutionPlan_v8
-execution_time_ms
-numeric_notes
-planTag
-handle
-engine_config
-workSpaceSize
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::ExecutionPlanBuilder_v8
  build
- cudnn_frontend::ExecutionPlanBuilder_v8
  ExecutionPlanBuilder_v8
- cudnn_frontend::ExecutionPlanBuilder_v8
  ExecutionPlanBuilder_v8
- cudnn_frontend::ExecutionPlanBuilder_v8
  ExecutionPlanBuilder_v8
- cudnn_frontend::ExecutionPlanBuilder_v8
  m_execution_plan
- cudnn_frontend::ExecutionPlanBuilder_v8
  operator=
- cudnn_frontend::ExecutionPlanBuilder_v8
  setEngineConfig
- cudnn_frontend::ExecutionPlanBuilder_v8
  setEngineConfig
- cudnn_frontend::ExecutionPlanBuilder_v8
  setHandle
- cudnn_frontend::ExecutionPlanBuilder_v8
  ~ExecutionPlanBuilder_v8